Subject: bug#39372: closed (Re: [bug#39372] Chicken Scheme: Update version to 5.1.0 and add gcc-toolchain)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Feb 2020 20:03:02 +0000

Your bug report

#39372: Chicken Scheme: Update version to 5.1.0 and add gcc-toolchain

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39372: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39372
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#39372] Chicken Scheme: Update version to 5.1.0 and add gcc-toolchain
From: Julien Lepiller <[email-masked]>
To: Ekaitz Zarraga <[email-masked]>
Cc: [email-masked]
Date: Sun, 9 Feb 2020 21:01:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Sun, 09 Feb 2020 14:11:09 +0000,
Ekaitz Zarraga <[email-masked]> a écrit :

> > I suppose this is caused by a module loop or something between (gnu
> > packages scheme) and (gnu packages commencement). Maybe splitting
> > (gnu packages scheme) into two things (maybe a new (gnu packages
> > chicken)) would solve the issue?  
> 
> I think it does. I made a new patch with that but I'm not sure if I
> did everything right:
> 

Pushed as 2846aec2f7d53b9244ad55c1436437843287426a and
7f6cb6bbac181a11859283922037e374a82035db. Thank you!

Subject: Chicken Scheme: Update version to 5.1.0 and add gcc-toolchain
From: Ekaitz at ElenQ Technology <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 31 Jan 2020 16:22:41 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I made a patch for chicken-scheme according to this conversation in the help-guix mailing list:

https://lists.gnu.org/archive/html/help-guix/2020-01/msg00230.html

I pushed the version to 5.1.0 and added gcc-toolchain as a propagated-input as the conversation suggested. The reason is without the gcc-toolchain csc (the chicken compiler) is unable to deal with -lm (math library), which is not installed with the current chicken package.

The linked conversation suggests that gcc-toolchain is a fundamental part of chicken so it should be a dependency of it.

Sorry if I didn't follow the format, but I was unable to find a good contributing guide.

Best,

Ekaitz

diff --git a/gnu/packages/scheme.scm b/gnu/packages/scheme.scm
index 1009896a70..f1d04bfa53 100644
--- a/gnu/packages/scheme.scm
+++ b/gnu/packages/scheme.scm
@@ -11,6 +11,7 @@
 ;;; Copyright © 2017, 2018, 2019, 2020 Tobias Geerinckx-Rice <[email-masked]>
 ;;; Copyright © 2018 Adam Massmann <[email-masked]>
 ;;; Copyright © 2018 Gabriel Hondet <[email-masked]>
+;;; Copyright © 2018 Ekaitz Zarraga <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -69,6 +70,7 @@
   #:use-module (gnu packages tls)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages libedit)
+  #:use-module (gnu packages commencement)
   #:use-module (srfi srfi-1)
   #:use-module (ice-9 match))
 
@@ -371,14 +373,14 @@ mashups, office (web agendas, mail clients, ...), etc.")
 (define-public chicken
   (package
     (name "chicken")
-    (version "5.0.0")
+    (version "5.1.0")
     (source (origin
               (method url-fetch)
               (uri (string-append "https://code.call-cc.org/releases/"
                                   version "/chicken-" version ".tar.gz"))
               (sha256
                (base32
-                "15b5yrzfa8aimzba79x7v6y282f898rxqxfxrr446sjx9jwlpfd8"))))
+                "0jsbp3kp0134f318j3wpd1n85gf8qzh034fn198gvazsv2l024aw"))))
     (build-system gnu-build-system)
     (arguments
      `(#:modules ((guix build gnu-build-system)
@@ -401,6 +403,7 @@ mashups, office (web agendas, mail clients, ...), etc.")
 
        ;; Parallel builds are not supported, as noted in README.
        #:parallel-build? #f))
+    (propagated-inputs `(("gcc-toolchain", gcc-toolchain)))
     (home-page "http://www.call-cc.org/")
     (synopsis "R5RS Scheme implementation that compiles native code via C")
     (description